> For the complete documentation index, see [llms.txt](https://docs.exads.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exads.com/api/ad-placement-api/ad-plac-errors.md).

# Errors

## HTTP Error Codes

| Code | Description    | Explanation                                                                                                                       |
| ---- | -------------- | --------------------------------------------------------------------------------------------------------------------------------- |
| 400  | Bad Request    | Indicates that the data sent is incorrectly formatted                                                                             |
| 200  | OK             | Indicates that the request is correct, but one or more zones could not be found. The response will tell you which zones these are |
| 500  | Internal Error | Indicates that an internal error happened but the cause is unknown. Support should be contacted                                   |

&#x20;

## 400 Error Messages <a href="#id-400-error-messages" id="id-400-error-messages"></a>

| Message                  | Explanation                                                      |
| ------------------------ | ---------------------------------------------------------------- |
| Malformed JSON Body      | The JSON is malformed in some way                                |
| Unsupported Request Type | For example, the request uses GET instead of POST                |
| This field is missing    | The field is missing or is incorrectly formatted for some reason |

&#x20;

## 200 Error Messages <a href="#id-200-error-messages" id="id-200-error-messages"></a>

| Message                | Explanation                                |
| ---------------------- | ------------------------------------------ |
| Zone ID not found      | The zone ID is not present in the database |
| Zone or site not valid | The zone or Publisher is blocked           |

&#x20;

## Data Null <a href="#data-null" id="data-null"></a>

Very rarely, an ad zone request will return a correct response, but the `data` field will be null. This means that the system found no ads to satisfy the given request given user locale, browser etc.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.exads.com/api/ad-placement-api/ad-plac-errors.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
